WildcardType (Java Platform SE 8 )
Keywords: javax.lang.model.type.WildcardType interface
Date: 2026-07-22

compact3
javax.lang.model.type

## Interface WildcardType

- All Superinterfaces:
    AnnotatedConstruct, TypeMirror

      public interface WildcardType
      extends TypeMirror

  Represents a wildcard type argument. Examples include:

         ?
         ? extends Number
         ? super T

  A wildcard may have its upper bound explicitly set by an `extends` clause, its lower bound explicitly set by a `super` clause, or neither (but not both).

  Since:
    1.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeMirror` | `getExtendsBound()` Returns the upper bound of this wildcard.
    `TypeMirror` | `getSuperBound()` Returns the lower bound of this wildcard.

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

    - ### Methods inherited from interface javax.lang.model.AnnotatedConstruct

      `getAnnotation, getAnnotationMirrors, getAnnotationsByType`

- - ### Method Detail

    - #### getExtendsBound

          TypeMirror getExtendsBound()

      Returns the upper bound of this wildcard. If no upper bound is explicitly declared, `null` is returned.
      Returns:
        the upper bound of this wildcard

    - #### getSuperBound

          TypeMirror getSuperBound()

      Returns the lower bound of this wildcard. If no lower bound is explicitly declared, `null` is returned.
      Returns:
        the lower bound of this wildcard

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.